Gravatar for mark.saad@velir.com

Question by msaad, Jun 3, 2015 1:24 PM

Can I use Sitecore Connector with Sitecore 8?

I tried using the current version but I can't even setup a sitecore security provider (I also couldn't find the DLL) and even after I removed all security on my developer instance I'm only getting 404

1 Reply
Gravatar for vseguin@coveo.com

Answer by Vincent Séguin, Jun 3, 2015 1:27 PM

Hi,

The Sitecore Connector only supports until Sitecore 7.2. You have to use the Coveo for Sitecore integration that you can download here : http://www.coveo.com/en/solutions/coveo-for-sitecore/download.

Gravatar for mark.saad@velir.com

Comment by msaad, Jun 3, 2015 1:42 PM

Hi Vincent,

This is a Sitecore upgrade project, so we already have a complete working coveo index and .Net skins, interfaces and hubs. If we decide to install coveo for sitecore, I have two questions:

  1. Can we still use our custom lucene index?
  2. Can we still use our .Net skins, facets, interfaces and hubs?

Thanks, Mark

Gravatar for nbordeleau@coveo.com

Comment by Nicolas, Jun 3, 2015 8:31 PM

Hi,

  1. Yes, you can still use Lucene/Solr indexes while working with Coveo.

  2. While this is not what we recommend, you can still use your old .Net skins. You'll need to modify them to use the new fields that are managed by Coveo for Sitecore (vs manually created with the previous connectors), change your scopes and filters and probably some other modifications. I would strongly recommend to use the new JS UI Framework. The .Net UI is at the end of his life.

I know you have a support ticket open on that topic, if you'd like we can discuss about porting your skins to the JS UI on a call…

Ask a question